## gnu.regexp
Class RETokenOneOf

    java.lang.Object
      gnu.regexp.REToken
          gnu.regexp.RETokenOneOf

class RETokenOneOf
extends REToken

Field Summary
`protected REToken` `m_next`
`protected int` `m_subIndex`
`protected REToken` `m_uncle`
`(package private) static String` `newline`

Constructor Summary
`(package private)` `RETokenOneOf(int f_subIndex, String f_options, boolean f_negative, boolean f_insens)`
`(package private)` `RETokenOneOf(int f_subIndex, Vector f_options, boolean f_negative)`

Method Summary
`(package private) boolean` `chain(REToken f_next)`
`(package private) void` `dump(StringBuffer os)`
`(package private) void` `dumpAll(StringBuffer os)`
`(package private) int` `getMinimumLength()`
`(package private) int[]` `match(CharIndexed input, int index, int eflags, REMatch mymatch)`
`protected int[]` `next(CharIndexed input, int index, int eflags, REMatch mymatch)`
`(package private) void` `setUncle(REToken f_uncle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newline

    static final String newline

### m_next

    protected REToken m_next

### m_uncle

    protected REToken m_uncle

### m_subIndex

    protected int m_subIndex

Constructor Detail

### RETokenOneOf

    RETokenOneOf(int f_subIndex,
                 String f_options,
                 boolean f_negative,
                 boolean f_insens)

### RETokenOneOf

    RETokenOneOf(int f_subIndex,
                 Vector f_options,
                 boolean f_negative)

Method Detail

### getMinimumLength

    int getMinimumLength()

  Overrides:
    `getMinimumLength` in class `REToken`

### match

    int[] match(CharIndexed input,
                int index,
                int eflags,
                REMatch mymatch)

  Specified by:
    `match` in class `REToken`

### dump

    void dump(StringBuffer os)

  Overrides:
    `dump` in class `REToken`

### chain

    boolean chain(REToken f_next)

  Overrides:
    `chain` in class `REToken`

### setUncle

    void setUncle(REToken f_uncle)

### next

    protected int[] next(CharIndexed input,
                         int index,
                         int eflags,
                         REMatch mymatch)

### dumpAll

    void dumpAll(StringBuffer os)